{pkgs, ...}: {
  programs.vscode = {
    enable = true;
    extensions = with pkgs.vscode-extensions; [
      rust-lang.rust-analyzer
      serayuzgur.crates
      jnoortheen.nix-ide
      arrterian.nix-env-selector
      mkhl.direnv
      continue.continue
      # silverquark.dancehelix
      # gregoire.dance
    ];
    mutableExtensionsDir = true;
    userSettings = {
      "window.titleBarStyle" = "custom";
      "editor.fontFamily" = "${pkgs.rice.fonts.monospace.name}";
      "editor.fontSize" = 12;
      "workbench.colorTheme" = "KanagawaTheme";
      "rust-analyzer.check.overrideCommand" = "clippy";
      "rust-analyzer.debug.engine" = "vadimcn.vscode-lldb";
      "rust-analyzer.inlayHints.chainingHints.enable" = false;
      "rust-analyzer.inlayHints.parameterHints.enable" = false;
      "rust-analyzer.inlayHints.typeHints.enable" = false;
    };
  };
}
